SDL_iconv_open(3)

NAME
SDL_iconv_open - This function allocates a context for the specified character set conversion.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

SDL_iconv_t SDL_iconv_open(const char *tocode,
                       const char *fromcode);

FUNCTION PARAMETERS

tocode
    The target character encoding, must not be NULL.

fromcode
    The source character encoding, must not be NULL.

RETURN VALUE
Returns a handle that must be freed with SDL_iconv_close, or SDL_ICONV_ERROR on failure.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_iconv(3), SDL_iconv_close(3), SDL_iconv_string(3)